Subject: Re: ISO encoding and NA keyboards

From: Paul O Bartlett <[email-masked]>
Date: Fri, 28 Feb 1997 17:18:12 -0500

On Fri, 28 Feb 1997, Cal Sawyer wrote:

> I've used Pine's optional encoding to help student read email
> originating from European countries and it works great. Problem is - how
> can they compose mail using the extended characters in the ISO-8859-x
> sets on generic "US" keyboards? Is it possible without additional
> terminal support? We run 3.91 on IRIX via telnet or dumbterm
> connections.
> 
> Something that I'm even more uncertain about is the possibility of
> displaying Asian characters and writing in these languages from the same
> environment described earlier.

    When working with non-US-ASCII character sets, there are usually
two aspects: displaying and entering.  For ISO-8859-x character sets,
you seem to have the display problem in hand.  As for _entering_
non-US-ASCII characters, I never did figure out how to do that with
Pine's built-in composer.  However, Pine allows you to specify another
editor to use when composing.  If you do that, then you enter (for
example) accented characters by whatever method that editor uses, which
will be different with every editor.  Depending on the editor, you may
not necessarily need any more terminal support.  For instance, I have
joe as my editor for Pine under a type of Un*x, and I can enter special
characters without any special support (other than display).

    Displaying Asian characters is not exclusively a Pine problem. 
Whatever terminal arrangement you have has to be able to display them.

Paul                             <[email-masked]>
----------------------------------------------------------
Paul O. Bartlett, P.O. Box 857, Vienna, VA 22183-0857, USA
Finger, keyserver, or WWW for PGP 2.6.2 public key
Home Page:  http://www.access.digex.net/~pobart